---
title: BasicCardRequest.supportedTypes
slug: Web/API/BasicCardRequest/supportedTypes
tags:
  - API
  - Basic Card Payment
  - BasicCardRequest
  - Commerce
  - Credit
  - Debit
  - Payment Method
  - Payment Request
  - Payment Request API
  - Property
  - Reference
  - payment
  - supportedTypes
---
<p>{{securecontext_header}}{{obsolete_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The obsolete <strong><code>supportedTypes</code></strong> property of the {{domxref("BasicCardRequest")}} dictionary can optionally be provided to specify an array of {{domxref("DOMString")}}s representing the card types that the retailer supports (e.g. <code>credit</code>, <code>debit</code>, <code>prepaid</code>).</span></p>

<p>This property is obsolete and should no longer be used. Instead of making the web app or site worry about this, the onus has been transferred to the payment processor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>basicCardRequest</em>.supportedTypes = [<em>cardType1</em>...<em>cardTypeN</em>];</pre>

<h3 id="Value">Value</h3>

<p>An array containing one or more {{domxref("DOMString")}}s, which describe the card types the retailer supports. Legal values are defined in <code><a href="https://w3c.github.io/payment-method-basic-card/#basiccardtype-enum">BasicCardType</a></code> enum, and are currently:</p>

<ul>
 <li><code>credit</code></li>
 <li><code>debit</code></li>
 <li><code>prepaid</code></li>
</ul>

<h2 id="Example">Example</h2>

<p>The following example shows a sample definition of the first parameter of the {{domxref("PaymentRequest.PaymentRequest", "PaymentRequest()")}} constructor, the <code>data</code> property of which contains <code>supportedNetworks</code> and <code>supportedTypes</code> properties.</p>

<pre class="brush: js">var supportedInstruments = [{
  supportedMethods: 'basic-card',
  data: {
    supportedNetworks: ['visa', 'mastercard', 'amex', 'jcb',
                        'diners', 'discover', 'mir', 'unionpay'],
    supportedTypes: ['credit', 'debit']
  }
}];

var details = { ... };

var options = { ... };

var request = new PaymentRequest(supportedInstruments, details, options);
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BasicCardRequest.supportedTypes")}}</p>
</div>
